/* --------------------------------------------------------
 Generated by Lukman Hakim using sql2java (http://sql2java.sourceforge.net/ )
 jdbc driver used at code generation time: net.sourceforge.jtds.jdbc.Driver
 
 Author : Lukman Hakim (lukman.uki@gmail.com) 
 Date Created : 25/10/2017
 --------------------------------------------------------
*/
package com.portofolio.dto;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Max;
import lombok.Getter;
import lombok.Setter;


@Getter
@Setter
public class AsalDto {
    
    private Integer kdAsal;
    
    @NotNull(message = "asal.namaasal.notnull")
    private String namaAsal;
    
    @NotNull(message = "asal.reportsdisplay.notnull")
    private String reportsDisplay;
    
    private String kdDepartemen;
    
    private Integer kdAsalHead;
    
    private Integer kdJenisProfile;
    
    private String kodeExternal;
    
    private String namaExternal;
    
    @NotNull(message = "asal.statusenabled.notnull")
    private Boolean statusEnabled;
    
    private String noRec;
    
    private Integer version;
    

}
